Page MenuHomePhabricator

Research the scope and tech requirements in order to provide capability for DB to added in an extension
Closed, ResolvedPublic2 Estimated Story Points

Description

Context

In order to estimate the capability for DB to added in an extension T226857, the initial research of code/current functionality should be performed.

Expected Result

  • Roadmap with technical implementation should be provided as a comment to the parent task.
  • List of technical changes should be combined into subtasks for parent task T226857.
  • Estimation in storypoints should be provided for every subtask

Event Timeline

Helga_sf created this task.Apr 30 2020, 2:27 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 30 2020, 2:27 PM
Helga_sf set the point value for this task to 2.

Hi @Helga_sf. The current task summary makes is impossible for others who look at a list of MediaWiki-Installer tickets to understand what this is about ("research and estimation" on what exactly in the installer?). Can you please make the task summary be more specific, so others can get an idea what this task is about? Thanks!

Helga_sf renamed this task from Do an initial research and estimation to WIP Do an initial research and estimation.May 1 2020, 10:05 AM

Hi @Aklapper, this task is a simple subtask's draft for the bigger task, we created it to divide the initial scope of T226857 into subtasks. It is not yet ready to be reviewed. Sorry for the confusion, we will put a more specific and structured summary into it shortly.

Is there a way to mark a task as a draft now?

@Helga_sf: Hi, thanks for the quick answer! There is no need to mark anything as a draft. It's about the task summary (not: description). Parent task summaries or task dependencies are not shown in search results. Hence the task summary "Do an initial research and estimation" is vague as you cannot see context that "Provide capability for a DB to be added in an extension" is the parent. Basically: I see "Do an initial research and estimation" and wonder "On what?" Can that be fixed? TIA! :)

Peter.ovchyn renamed this task from WIP Do an initial research and estimation to Research the scope and tech requirements in order to provide capability for DB to added in an extension.May 5 2020, 1:58 PM
Peter.ovchyn updated the task description. (Show Details)
Peter.ovchyn updated the task description. (Show Details)May 5 2020, 2:08 PM
Peter.ovchyn updated the task description. (Show Details)May 5 2020, 2:14 PM
Helga_sf triaged this task as High priority.May 5 2020, 2:29 PM

I will try to create a PoC that allows the extension to add a new type of database to the installer

Naike closed this task as Resolved.May 22 2020, 7:10 AM

What was the result of the research?

I will prepare the result on Monday

CCicalese_WMF reopened this task as Open.May 22 2020, 7:55 PM

Thank you!

Art-Baltai added a comment.EditedMay 25 2020, 4:44 PM

Roadmap:

  1. create PoC with blank ext
  2. looking for technical problems
  3. approve technical solution with WMF
  4. split parent task to subtasks
  5. implement the final patch
  6. cover by tests

Proof of Concept

  • Introduce new hook that will be called during installation
  • create the blank ext with a new hook
  • describe a hook in extension.json
  • inject this hook to the installer, change DB list